## org.apache.http.client.params
Class HttpClientParams

    java.lang.Object
      org.apache.http.client.params.HttpClientParams

    @Immutable
    public class HttpClientParams

extends Object

An adaptor for manipulating HTTP client parameters in `HttpParams`.

Since:
  4.0

Method Summary
`static long` `getConnectionManagerTimeout(HttpParams params)` Get the connectiion manager timeout value.
`static String` `getCookiePolicy(HttpParams params)`
`static boolean` `isAuthenticating(HttpParams params)`
`static boolean` `isRedirecting(HttpParams params)`
`static void` `setAuthenticating(HttpParams params, boolean value)`
`static void` `setConnectionManagerTimeout(HttpParams params, long timeout)` Set the parameter `ClientPNames.CONN_MANAGER_TIMEOUT`.
`static void` `setCookiePolicy(HttpParams params, String cookiePolicy)`
`static void` `setRedirecting(HttpParams params, boolean value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### isRedirecting

    public static boolean isRedirecting(HttpParams params)

### setRedirecting

    public static void setRedirecting(HttpParams params,
                                      boolean value)

### isAuthenticating

    public static boolean isAuthenticating(HttpParams params)

### setAuthenticating

    public static void setAuthenticating(HttpParams params,
                                         boolean value)

### getCookiePolicy

    public static String getCookiePolicy(HttpParams params)

### setCookiePolicy

    public static void setCookiePolicy(HttpParams params,
                                       String cookiePolicy)

### setConnectionManagerTimeout

    public static void setConnectionManagerTimeout(HttpParams params,
                                                   long timeout)

  Set the parameter `ClientPNames.CONN_MANAGER_TIMEOUT`.

  Since:
    4.2

### getConnectionManagerTimeout

    public static long getConnectionManagerTimeout(HttpParams params)

  Get the connectiion manager timeout value. This is defined by the parameter `ClientPNames.CONN_MANAGER_TIMEOUT`. Failing that it uses the parameter `CoreConnectionPNames.CONNECTION_TIMEOUT` which defaults to 0 if not defined.

  Returns:
    the timeout value
  Since:
    4.2

Copyright © 1999-2013 The Apache Software Foundation. All Rights Reserved.